<?php
#=
#non accessible dans Melia
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");

opensession("Admin",false);
/*
$etab_theme="ete";
$etab_id=1;
$sess_ascol=2005;
*/

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
       <title>Demandes périmées</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">

 <script language='javascript'>
    function clic(formulaire)
    {
    var frm=document.forms[formulaire];
     //on ne peut pas invoquer les checkboxes par leur nom du fait des crochets utiles à PHP
       for (i=0;i<frm.elements.length; i++) {
           if (frm.elements[i].type=='checkbox') {
                       frm.elements[i].checked=!frm.elements[i].checked ;
                       //alert('name='+frm.elements[i].name);
           }
       }
    }

   function clicglobal(formulaire,ouinon)
    //formulaire est une chaînes spécifiant le "name" du formulaire
    //ouinon vaut true ou false
    // toutes les cases à cocher sont cochées (ou décochées si ouinon==false)
    {
    var frm=document.forms[formulaire];
      //alert(frm);
      //alert(ouinon);
      //on ne peut pas invoquer les checkboxes par leur nom du fait des
      //crochets nécessaires à PHP, d'où le test bestial dans la boucle ci-dessous
                 for (i=0;i<frm.elements.length; i++) {
                     if (frm.elements[i].type=='checkbox') {
                     frm.elements[i].checked=ouinon;
                 //alert('name='+frm.elements[i].name+' param='+nomchkbx);
                     }
                 }
    }
   </script>
</head>
<body class="arialadmin" bgcolor="white" text="black" link="blue" vlink="purple" alink="red">
<p class='sous_titre'>Professeurs acceptant les demandes périmées.</p>
<form method="post" name="perim" action="#" >
<p class="avis attention">Un professeur coché acceptera de recevoir et de traiter les demandes ayant dépassé la date de validité. Ces demandes ne pourront toutefois dépasser 1 an.</p>
<p class="avis_transparent">Cocher les personnes concernées et valider en fin de page.</p><br>
<?php
if (isset($_POST['btn_envoi'])) {
    if (isset($_POST['accepter_perime'])) {
        $affecte=$_POST['accepter_perime'];
        }
    else $affecte=array();
    query("UPDATE etablissements SET profslongs=".count($affecte)." WHERE etab_id=$etab_id");
    //print"<br>";print_r($_POST['tolddem1an']);
    $actuel=$_POST['tolddem1an'];
    $nbmodif=0;
    connecte($host,$user,$mdp,$db);
    foreach($actuel as $prof_id=>$old) {
        if (in_array($prof_id,$affecte) ^ $old) {
            //il y a eu modif
            query("UPDATE profs SET opt_dem1an=1-opt_dem1an WHERE prof_id=".seci($prof_id));
            $nbmodif++;
            }
        }
    if ($nbmodif>1) $msg=$nbmodif.' modifications effectuées.';
    elseif ($nbmodif==1) $msg='Une modification effectuée.';
    else $msg='Pas de modification effectuée.';
    alert($msg);
    //    goto("../admin/admin_bas.php");
    js("parent.location.replace('profs_gestion.php?statut=Admin');");
    }

connecte($host,$user,$mdp,$db);
$sql="SELECT prof_id,nom, prenom, opt_dem1an
       FROM profs
       WHERE etab_id=$etab_id
       AND annee=$sess_ascol
       AND tag<=0
       ORDER BY nom, prenom" ;
$resprofs=query ($sql);

 //
      print "<div align='center'>
      <table border =\"0\" cellpadding=\"0\">
       <tr>
           <td width=\"120\" class='centre'>
               <i><a href='#' title=\"Coche tous les profs\"
               onclick=\"clicglobal('perim',true)\">
               [Tout cocher]</a></i>
           </td>
           <td width = \"160\" class='centre'>
               <i><a href='#' title=\"Décoche tous les profs\"
               onclick=\"clicglobal('perim',false)\">[Tout décocher]</a></i>
               </td>
           <td width = \"180\" class='centre'>
               <i><a href=\"#\" title =\"Inverser la sélection\"
               onclick=\"clic('perim')\">[Inverser la sélection]</a></i>
           </td>
        </tr>
      </table><div>";
      //

$nbprofs=0;
//début du tableau
print "<div align='center'><table border='1' >\n";
print "<tr>\n";
//entête

for ($col=1;$col<4;$col++)
      {
      print "<td class='rubrique'>Nom</td>
      <td class='rubrique'>Prénom</td>
      <td class='rubrique'>&nbsp;Accepte&nbsp;</td>\n";
      if ($col<3) print "<td width='1' class='rubrique'><img src=\"../images/pixel_vide.gif\"></td>\n";
      }
print "</tr>";
$col=0;
      print "<tr>\n";

while ($rowprof=mysql_fetch_array($resprofs))
{
      $prof_id=$rowprof["prof_id"] ;
      $nbprofs++;
      $nom=$rowprof["nom"];
      $prenom=$rowprof["prenom"];
      $dem_1an=$rowprof["opt_dem1an"];
      if ($dem_1an) $checked=" checked=\"checked\" ";
      else $checked="";

//Affichage d'une ligne
      if ($col<3)
         {
         $col++;
         print "<td >&nbsp;&nbsp;$nom</td>\n";
         print "<td>&nbsp;&nbsp;$prenom</td>\n";
         print "<td align='center'>";
         print "<input type=\"checkbox\" name=\"accepter_perime[]\" value=\"$prof_id\" $checked />";
         print "<input type=\"hidden\" name=\"tolddem1an[$prof_id]\" value=\"$dem_1an\" /></td>\n";

         if ($col<3)
         {
         print "<td width='1' class='rubrique'><img src=\"../images/pixel_vide.gif\"></td>";         }
         else
         {
         $col=0;
         print "</tr> <tr>";
         }
         }
}

 // remplir les cellules vides du tableau
 if ($col!=0)
 {
  for ($i=$col+1;$i<=3;$i++)
  {print "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>";
        if ($i<3)
        {print "<td width='1' class='rubrique'><img src=\"../images/pixel_vide.gif\"></td>";
        }
  }
 }
print "</tr></table></div><br>\n";
print "<p align=\"center\"><input class='coul' type=\"submit\" name=\"btn_envoi\" value=\"Valider\"></p>";

?>
</form>
</body>
</html>